Bug 1608936 - Garbage collector complains during shutdown
Summary: Garbage collector complains during shutdown
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-documents
Version: 7.6
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: ---
Assignee: Debarshi Ray
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-26 14:09 UTC by Jiri Koten
Modified: 2018-10-30 10:28 UTC (History)
4 users (show)

Fixed In Version: gnome-documents-3.28.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:27:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
abrt log (189.41 KB, application/octet-stream)
2018-07-26 14:09 UTC, Jiri Koten
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 747506 0 None None None 2018-08-14 17:09:55 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:28:00 UTC

Description Jiri Koten 2018-07-26 14:09:15 UTC
Created attachment 1470791 [details]
abrt log

Description of problem:
There is a crash when exiting gnome-documents

$ $ gnome-documents 

(org.gnome.Documents:13360): Gjs-CRITICAL **: 14:36:17.137: Attempting to run a JS callback during garbage collection. This is most likely caused by destroying a Clutter actor or GTK widget with ::destroy signal connected, or using the destroy(), dispose(), or remove() vfuncs. Because it would crash the application, it has been blocked.

(org.gnome.Documents:13360): Gjs-CRITICAL **: 14:36:17.137: The offending callback was destroy(), a vfunc.
== Stack trace for context 0x25680b0 ==
zsh: segmentation fault (core dumped)  gnome-documents


Version-Release number of selected component (if applicable):
gjs-1.52.3-1.el7
gnome-documents-3.28.1-1.el7

How reproducible:
100%

Steps to Reproduce:
1. Start gnome-documents
2. Close gnome-documents
3.

Actual results:


Expected results:


Additional info:

Comment 4 Debarshi Ray 2018-08-14 18:11:12 UTC
Here's a scratch build:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=17858780

Comment 5 Martin Krajnak 2018-08-15 08:02:24 UTC
Exiting the application still takes several second which is kinda unusual time but the most important thing is that the segfault is gone, thanks a lot rishi.

gnome-documents-3.28.1-2.el7.x86_64
gnome-documents-libs-3.28.1-2.el7.x86_64

Comment 6 Debarshi Ray 2018-08-15 09:49:28 UTC
Built gnome-documents-3.28.1-2.el7:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=17858873

(In reply to Martin Krajnak from comment #5)
> Exiting the application still takes several second which is kinda unusual

Yes, there's 12s timeout.

It's there to prevent gnome-documents' gnome-shell search provider from spawning repeatedly when typing in the overview. With the timeout in place, as long as there's activity within that time period, the same process will be used. It shouldn't affect the normal functioning of the application because it's activated over D-Bus (DBusActivatable=true in the desktop file), and the user should see a new window appear even though the underlying process is the same. There can be bugs, though. :P

Comment 8 Martin Krajnak 2018-08-15 11:05:46 UTC
No crash in gnome-documents-3.28.1-2

Comment 10 errata-xmlrpc 2018-10-30 10:27:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.